package com.gingersoft.gsa.cloud.user.login.mvp.bean;

import java.util.List;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2019-12-28
 * 修订历史：2019-12-28
 * 描述：
 */
public class LoginBean {


    /**
     * success : true
     * sysTime : 1577607524714
     * data : {"user":{"userId":1,"userName":"admin","brands":[{"brandId":242,"brandName":"莫拉塔"},{"brandId":243,"brandName":"蕭蕭"}],"restaurants":[{"restaurantId":314,"restaurantName":"222222"},{"restaurantId":317,"restaurantName":"barrytestdasd"},{"restaurantId":337,"restaurantName":"小張"},{"restaurantId":345,"restaurantName":"1"}]},"token":"a32a24a9237b4c70b420fe3ad7af3dbd"}
     */

    private boolean success;
    private long sysTime;
    private DataBean data;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public long getSysTime() {
        return sysTime;
    }

    public void setSysTime(long sysTime) {
        this.sysTime = sysTime;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * user : {"userId":1,"userName":"admin","brands":[{"brandId":242,"brandName":"莫拉塔"},{"brandId":243,"brandName":"蕭蕭"}],"restaurants":[{"restaurantId":314,"restaurantName":"222222"},{"restaurantId":317,"restaurantName":"barrytestdasd"},{"restaurantId":337,"restaurantName":"小張"},{"restaurantId":345,"restaurantName":"1"}]}
         * token : a32a24a9237b4c70b420fe3ad7af3dbd
         */

        private UserBean user;
        private String token;

        public UserBean getUser() {
            return user;
        }

        public void setUser(UserBean user) {
            this.user = user;
        }

        public String getToken() {
            return token;
        }

        public void setToken(String token) {
            this.token = token;
        }

        public static class UserBean {
            /**
             * userId : 1
             * userName : admin
             * brands : [{"brandId":242,"brandName":"莫拉塔"},{"brandId":243,"brandName":"蕭蕭"}]
             * restaurants : [{"restaurantId":314,"restaurantName":"222222"},{"restaurantId":317,"restaurantName":"barrytestdasd"},{"restaurantId":337,"restaurantName":"小張"},{"restaurantId":345,"restaurantName":"1"}]
             */

            private int userId;
            private String userName;
            private List<BrandsBean> brands;
            private List<RestaurantsBean> restaurants;

            public int getUserId() {
                return userId;
            }

            public void setUserId(int userId) {
                this.userId = userId;
            }

            public String getUserName() {
                return userName;
            }

            public void setUserName(String userName) {
                this.userName = userName;
            }

            public List<BrandsBean> getBrands() {
                return brands;
            }

            public void setBrands(List<BrandsBean> brands) {
                this.brands = brands;
            }

            public List<RestaurantsBean> getRestaurants() {
                return restaurants;
            }

            public void setRestaurants(List<RestaurantsBean> restaurants) {
                this.restaurants = restaurants;
            }

            public static class BrandsBean {
                /**
                 * brandId : 242
                 * brandName : 莫拉塔
                 */

                private int brandId;
                private String brandName;

                public int getBrandId() {
                    return brandId;
                }

                public void setBrandId(int brandId) {
                    this.brandId = brandId;
                }

                public String getBrandName() {
                    return brandName;
                }

                public void setBrandName(String brandName) {
                    this.brandName = brandName;
                }
            }

            public static class RestaurantsBean {
                /**
                 * restaurantId : 314
                 * restaurantName : 222222
                 */

                private int restaurantId;
                private String restaurantName;

                public int getRestaurantId() {
                    return restaurantId;
                }

                public void setRestaurantId(int restaurantId) {
                    this.restaurantId = restaurantId;
                }

                public String getRestaurantName() {
                    return restaurantName;
                }

                public void setRestaurantName(String restaurantName) {
                    this.restaurantName = restaurantName;
                }
            }
        }
    }
}
